Bug 589594 - No KRB_REALM in conf results in krbV.Krb5Error: (..., 'Server not found in Kerberos database')
Summary: No KRB_REALM in conf results in krbV.Krb5Error: (..., 'Server not found in Ke...
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Beaker
Classification: Retired
Component: command line
Version: 0.5
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: beaker-dev-list
QA Contact: tools-bugs
URL:
Whiteboard: CommandLineEnhancement
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-06 14:12 UTC by Marian Csontos
Modified: 2013-07-10 07:05 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-07-10 07:05:44 UTC


Attachments (Terms of Use)

Description Marian Csontos 2010-05-06 14:12:13 UTC
Description of problem:

With no KRB_REALM in beaker/client.conf, I get the aforementioned Krb5Error, though the comment in conf.file suggests it should work:

    # Kerberos realm. If commented, last two parts of domain name are used.
    #KRB_REALM = "EXAMPLE.COM"

Version-Release number of selected component (if applicable):
0.5.32


How reproducible:
100%


Steps to Reproduce:
1. install beaker-client
2. edit client.conf so it uses KrbV authentication

    HUB_URL = "https://***.redhat.com"
    AUTH_METHOD = "krbv"
    KRB_SERVICE = "HTTP"

3. run e.g. bkr job-watch J:8

  
Actual results:
backtrace with Krb5Error


Expected results:
display the executed job's XML.

Additional info:


Workaround:

specify KRB_REALM in client.conf, e.g.

    KRB_REALM = "REDHAT.COM"

Comment 1 Nick Coghlan 2012-10-17 04:39:03 UTC
Bulk reassignment of issues as Bill has moved to another team.

Comment 3 wangjing 2013-07-05 02:54:06 UTC
this bug might be closed. 
tested on beaker-devel Version - 0.13.2 -->pass

steps:
1. install beaker-client
2. edit /etc/beaker/client.conf:

    HUB_URL = "https://***.redhat.com"
    AUTH_METHOD = "krbv"
    KRB_SERVICE = "HTTP"
    #KRB_REALM = "REDHAT.COM"

3. run: bkr job-watch J:8

Actual results:
no Krb5Error and return thus:
# bkr job-watch J:8
Watching tasks (this may be safely interrupted)...
J:8 RHEL6: Aborted
--> Aborted: 1 [total: 1]

Expected results:
same with actual results.

Additional info:
I also ran 'bkr job-results --prettyxml J:8', it returned  the executed job's XML without errors.

Comment 4 Dan Callaghan 2013-07-10 07:05:44 UTC
Indeed, this seems to no longer be reproducible on RHEL6. I'm guessing either Kobo or libkrb5 has been made smarter now. bkr will authenticate correctly using Kerberos even when KRB_REALM is unset and all realm information is removed from /etc/krb5.conf (assuming a valid ticket still exists).

Marian, please re-open this if it's still a problem for you.


Note You need to log in before you can comment on or make changes to this bug.